<?php
/**
 * Active Callback functions.
 *
 * @package Dhor
 */

if ( ! function_exists( 'dhor_is_show_additional_btn_active' ) ) :

	/**
	 * Check if show additional button is active in header.
	 */
	function dhor_is_show_additional_btn_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[show_additional_btn]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'dhor_is_banner_active' ) ) :

	/**
	 * Check if banner is active.
	 */
	function dhor_is_banner_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[enable_banner]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'dhor_is_breadcrumb_active' ) ) :

	/**
	 * Check if breadcrumb is active.
	 */
	function dhor_is_breadcrumb_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[enable_breadcrumb]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'dhor_is_layout_grid_active' ) ) :

	/**
	 * Check if blog layout grid is active.
	 */
	function dhor_is_layout_grid_active( $control ) {

		if ( 'grid' === $control->manager->get_setting( 'theme_options[global_layout]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'dhor_is_show_excerpt_active' ) ) :

	/**
	 * Check if show excerpt is active.
	 */
	function dhor_is_show_excerpt_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[show_excerpt]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'dhor_is_social_share_active' ) ) :

	/**
	 * Check if social share is active.
	 */
	function dhor_is_social_share_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[enable_social_share]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'dhor_is_related_posts_active' ) ) :

	/**
	 * Check if related posts is active.
	 */
	function dhor_is_related_posts_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[show_related_posts]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;
